Bug 1729332 - pyanaconda.modules.common.errors.DBusError: Could not activate remote peer.
Summary: pyanaconda.modules.common.errors.DBusError: Could not activate remote peer.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:960ed1ee1cfe3da60d2229cb7eb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 00:27 UTC by kenpilot
Modified: 2019-10-28 10:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-29 08:37:16 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (479.80 KB, text/plain)
2019-07-12 00:27 UTC, kenpilot
no flags Details
File: anaconda.log (7.07 KB, text/plain)
2019-07-12 00:27 UTC, kenpilot
no flags Details
File: dbus.log (2.80 KB, text/plain)
2019-07-12 00:27 UTC, kenpilot
no flags Details
File: environ (700 bytes, text/plain)
2019-07-12 00:27 UTC, kenpilot
no flags Details
File: journalctl (281.93 KB, text/plain)
2019-07-12 00:27 UTC, kenpilot
no flags Details
File: lsblk_output (2.30 KB, text/plain)
2019-07-12 00:27 UTC, kenpilot
no flags Details
File: nmcli_dev_list (2.25 KB, text/plain)
2019-07-12 00:27 UTC, kenpilot
no flags Details
File: os_info (683 bytes, text/plain)
2019-07-12 00:27 UTC, kenpilot
no flags Details
File: program.log (43.15 KB, text/plain)
2019-07-12 00:27 UTC, kenpilot
no flags Details
File: storage.log (107.38 KB, text/plain)
2019-07-12 00:27 UTC, kenpilot
no flags Details

Description kenpilot 2019-07-12 00:27:11 UTC
Description of problem:
Ran the Fedora 30 XFCE installer and clicked Continue on the first screen. That's all I did to cause this error.

Version-Release number of selected component:
anaconda-core-30.25.6-2.fc30.x86_64

The following was filed automatically by anaconda:
anaconda 30.25.6 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.7/site-packages/pydbus/proxy_method.py", line 102, in __call__
    raise error
  File "/usr/lib64/python3.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 1580, in __init__
    self.network_control_box.current_hostname = self._network_module.proxy.GetCurrentHostname()
  File "/usr/lib64/python3.7/site-packages/pyanaconda/ui/gui/__init__.py", line 774, in _instantiateAction
    obj = actionClass(self.data, self.storage, self.payload)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/ui/gui/__init__.py", line 989, in _on_continue_clicked
    nextAction = self._instantiateAction(self._actions[1])
pyanaconda.modules.common.errors.DBusError: Could not activate remote peer.

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:/dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-Xfce-Live-30-1-2 rd.live.image rd.live.check quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         5.0.9-301.fc30.x86_64
other involved packages: python3-pydbus-0.6.0-8.fc30.noarch, anaconda-gui-30.25.6-2.fc30.x86_64
product:        Fedora
release:        Fedora release 30 (Thirty)
type:           anaconda
version:        30

Comment 1 kenpilot 2019-07-12 00:27:15 UTC
Created attachment 1589705 [details]
File: anaconda-tb

Comment 2 kenpilot 2019-07-12 00:27:16 UTC
Created attachment 1589706 [details]
File: anaconda.log

Comment 3 kenpilot 2019-07-12 00:27:17 UTC
Created attachment 1589707 [details]
File: dbus.log

Comment 4 kenpilot 2019-07-12 00:27:18 UTC
Created attachment 1589708 [details]
File: environ

Comment 5 kenpilot 2019-07-12 00:27:20 UTC
Created attachment 1589709 [details]
File: journalctl

Comment 6 kenpilot 2019-07-12 00:27:21 UTC
Created attachment 1589710 [details]
File: lsblk_output

Comment 7 kenpilot 2019-07-12 00:27:22 UTC
Created attachment 1589711 [details]
File: nmcli_dev_list

Comment 8 kenpilot 2019-07-12 00:27:23 UTC
Created attachment 1589712 [details]
File: os_info

Comment 9 kenpilot 2019-07-12 00:27:24 UTC
Created attachment 1589713 [details]
File: program.log

Comment 10 kenpilot 2019-07-12 00:27:25 UTC
Created attachment 1589714 [details]
File: storage.log

Comment 11 Radek Vykydal 2019-07-12 12:19:52 UTC
Happens during network standalone spoke initialization.
I am not able to reproduce the issue.

Comment 12 Radek Vykydal 2019-07-12 12:21:08 UTC
Are you able to reproduce the issue consistently or was it just a single case?

Comment 13 Radek Vykydal 2019-07-12 13:03:34 UTC
If you can reproduce the issue, could you please attach outputs of these commands?

journalctl -u systemd-hostnamed

sudo cat /var/log/audit/audit.log | grep hostnamed

Comment 14 kenpilot 2019-07-12 14:57:29 UTC
Unfortunately, no. This crash occurred while running from the Live CD installer for Fedora 30 XFCE (USB thumbdrive). I remember launching the installer, and before continuing, I connected to the Wifi and also cleared out all my partitions in gparted. But I just tried all that again, and no combination caused the crash to repeat.

Sorry I could not be more helpful. I only reported the bug because the crash handler told me to.

Comment 15 Radek Vykydal 2019-07-29 08:37:16 UTC
Thank you for your report and additional info, I will close the bug marked 'insufficient data' as we are not able to work on it without being able to reproduce it (or get more log information). Feel free to reopen the bug if you hit the issue again.


Note You need to log in before you can comment on or make changes to this bug.